package cn.iocoder.yudao.module.shop.service;

import cn.iocoder.yudao.module.shop.entity.ShopRepairGoods;

import java.util.List;

/**
 * 汽修商品Service接口
 *
 * @author ruoyi
 * @date 2023-07-08
 */
public interface IShopRepairGoodsService
{
    /**
     * 查询汽修商品
     *
     * @param id 汽修商品主键
     * @return 汽修商品
     */
    public ShopRepairGoods selectShopRepairGoodsById(Long id);

    /**
     * 查询汽修商品列表
     *
     * @param shopRepairGoods 汽修商品
     * @return 汽修商品集合
     */
    public List<ShopRepairGoods> selectShopRepairGoodsList(ShopRepairGoods shopRepairGoods);

    /**
     * 新增汽修商品
     *
     * @param shopRepairGoods 汽修商品
     * @return 结果
     */
    public int insertShopRepairGoods(ShopRepairGoods shopRepairGoods);

    /**
     * 修改汽修商品
     *
     * @param shopRepairGoods 汽修商品
     * @return 结果
     */
    public int updateShopRepairGoods(ShopRepairGoods shopRepairGoods);

    /**
     * 批量删除汽修商品
     *
     * @param ids 需要删除的汽修商品主键集合
     * @return 结果
     */
    public int deleteShopRepairGoodsByIds(Long[] ids);

    /**
     * 删除汽修商品信息
     *
     * @param id 汽修商品主键
     * @return 结果
     */
    public int deleteShopRepairGoodsById(Long id);
}
